Subject: RE: Cannot connect to remote target via serial port
From: "Dave Korn" <[email-masked]>
To: "'Keith Seitz'" <[email-masked]>, "'Hans Kester'" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Fri, 19 Nov 2004 17:10:03 -0000

> -----Original Message-----
> From: insight-owner On Behalf Of Keith Seitz
> Sent: 19 November 2004 16:48
> To: Hans Kester

> On Fri, 2004-11-19 at 05:08, Hans Kester wrote:
> > When I try to connect to my remote target (sh-elf) with the 
> serial port
> > (COM1) I get the following error message:
> > "com1: Inappropriate ioctl for device."
> > 
> 
> Does this really still happen with 6.1? A patch was committed which I
> thought fixed the problem.
> 
> So it appears the latest is that cygwin must now use "/dev/ttySX"
> (X=0,1,...) instead of "/dev/comX".

  No, /dev/comX should be fine for cygwin (unless I've missed a recent
change and the docs haven't yet been updated, but I don't think that's
happened), and if it isn't, it's a cygwin bug.

http://www.cygwin.com/cygwin-ug-net/using-specialnames.html

"Cygwin also has several Windows-specific devices: /dev/comX (the serial
ports, starting with COM1 which is the same as ttyS0)"

    cheers, 
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/